Gestiono
Referencia de APIFiles / Files

Create Files

POST /v1/files • described through route-level inference

← Back to full API reference
POST/v1/filesAuthentication required

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • path (required)

    Inferred from req.body.path

  • createFolder (required)

    Inferred from req.body.createFolder

  • convertToVoiceNote (required)

    Inferred from req.body.convertToVoiceNote

  • convertTo (required)

    Inferred from req.body.convertTo

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "path": "string",
  "createFolder": "string",
  "convertToVoiceNote": "string",
  "convertTo": "string"
}

Sample response

json
{
  "success": 1,
  "file": {
    "id": "<id>",
    "url": "<getFileUrl>",
    "public": "<getPublicFileUrl>"
  }
}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/filesAuthentication required

Group: Files / Files

POST /v1/files • described through route-level inference

    Body fields

    • pathrequired
      Inferred from req.body.path
    • createFolderrequired
      Inferred from req.body.createFolder
    • convertToVoiceNoterequired
      Inferred from req.body.convertToVoiceNote
    • convertTorequired
      Inferred from req.body.convertTo

    3. Prepare request payload

    4. Server response

    Run a request to inspect the real-time response for your environment.